### Class

# Gtk AlternativeTrigger

since: 4.0

#### Description [src]

    final class Gtk.AlternativeTrigger : Gtk.ShortcutTrigger
    {
      /* No available fields */
    }

A `GtkShortcutTrigger` that combines two triggers.

The `GtkAlternativeTrigger` triggers when either of two trigger.

This can be cascaded to combine more than two triggers.

Available since: 4.0

#### Ancestors

- GtkShortcutTrigger
- GObject

#### Constructors

###### gtk_alternative_trigger_new

Creates a `GtkShortcutTrigger` that will trigger whenever either of the two given triggers gets triggered.

since: 4.0

#### Instance methods

###### gtk_alternative_trigger_get_first

Gets the first of the two alternative triggers that may trigger `self`.

since: 4.0

###### gtk_alternative_trigger_get_second

Gets the second of the two alternative triggers that may trigger `self`.

since: 4.0

##### Methods inherited from GtkShortcutTrigger (8)

###### gtk_shortcut_trigger_compare

The types of `trigger1` and `trigger2` are `gconstpointer` only to allow use of this function as a `GCompareFunc`.

since: 4.0

###### gtk_shortcut_trigger_equal

Checks if `trigger1` and `trigger2` trigger under the same conditions.

since: 4.0

###### gtk_shortcut_trigger_hash

Generates a hash value for a `GtkShortcutTrigger`.

since: 4.0

###### gtk_shortcut_trigger_print

Prints the given trigger into a string for the developer. This is meant for debugging and logging.

since: 4.0

###### gtk_shortcut_trigger_print_label

Prints the given trigger into a string.

since: 4.0

###### gtk_shortcut_trigger_to_label

Gets textual representation for the given trigger.

since: 4.0

###### gtk_shortcut_trigger_to_string

Prints the given trigger into a human-readable string.

since: 4.0

###### gtk_shortcut_trigger_trigger

Checks if the given `event` triggers `self`.

since: 4.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gtk.AlternativeTrigger:first

The first `GtkShortcutTrigger` to check.

since: 4.0

###### Gtk.AlternativeTrigger:second

The second `GtkShortcutTrigger` to check.

since: 4.0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct GtkAlternativeTriggerClass {
      /* no available fields */
    }

No description available.